import {Bool, Num, Str, Uid} from "pinia-orm/dist/decorators";
import ApiResource from "~/models/ApiResource";

/**
 * Ap2i ApiResource : LicenceCmfOrganizationER
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/ApiResources/Export/LicenceCmf/LicenceCmfOrganizationER.php
 */
export default class LicenceCmfOrganizationER extends ApiResource {
  static entity = ''

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare format: string | null

  @Num(0)
  declare requesterId: number | string | null

  @Bool(false)
  declare async: boolean
}
